Unit tde24r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE24R_p, FJDE24R_p, DE24R_p;

function tde24r: String;

implementation

function tde24r: String;
var
M,JSTART,IORDER,I,IERR :Integer;
H,HMAX,HMIN,EPS,X,XK :Real;
BUL :Boolean;
RAB :Array [0..37] of Real;
Y :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
YPM :Array [0..1] of Real;
YP :Array [0..15] of Real;
label
_10,_20;
begin
Result := '';  {   }
M := 2;
BUL := False;
H := 0.01;
HMAX := 0.1;
HMIN := 1.E-10;
EPS := 0.00001;
JSTART := 0;
IORDER := 6;
X := 0.0;
Y[0] := 2.0;
Y[1] := 18.0;
for I:=1 to M do
 begin
_10:
  YPM[I-1] := 1.0;
 end;
DE24R(FDE24R,FJDE24R,M,IORDER,JSTART,HMIN,HMAX,EPS,Y,X,H,
     BUL,YPM,DELTY,RAB,YP,IERR);
if ( IERR <> 0 ) 
 then goto _20;
XK := X;
Result := Result + Format(' %20.16f %20.16f %20.16f ',
 [XK,Y[0],Y[1]]) + #$0D#$0A;
Result := Result + Format('%s',[' DELTY(1)']);
Result := Result + Format('%s',['       DELTY(2)']);
Result := Result + Format('%20.16f %20.16f ',
 [DELTY[0],DELTY[1]]) + #$0D#$0A;
_20:
UtRes('tde24r',Result);  {     tde24r.res }
exit;
end;

end.
